#
# spec file for package openmcu
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openmcu
Version:        3.48.0
Release:        3.27
Summary:        H.323 Multipoint Control Unit
License:        MPL-1.1
Group:          Productivity/Telephony/H323/Servers
Url:            http://openmcu.ru/eng.htm
Source0:        https://github.com/muggot/openmcu/archive/v%{version}.tar.gz
Patch0:         aarch64-support.patch
Patch1:         undefined-operation.patch
Patch2:         ppc64le-support.patch
# PATCH-FIX-UPSTREAM ofstream takes const char not variable
Patch3:         openmcu-3.48.0-gcc6.patch
# PATCH-FIX build with ffmpeg 3 abi
Patch4:         openmcu-ffmpeg3.patch
BuildRequires:  SDL-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  ffmpeg
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  h323plus-devel
BuildRequires:  libdv
BuildRequires:  libjpeg-devel
BuildRequires:  libpt-devel
BuildRequires:  openldap2-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(opal)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(sofia-sip-ua)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(vpx)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
OpenMCU implements a multipoint control unit for video conferences
according to the H.323 standard. You might use ohphone as a client
application.

%package codecs
Summary:        H.323 Multipoint Control Unit - ptlib codecs
Group:          Productivity/Telephony/H323/Servers

%description codecs
OpenMCU implements a multipoint control unit for video conferences
according to the H.323 standard. You might use ohphone as a client
application.

This packages contains audio and video codecs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
      --disable-h264
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
# Remove installed doc in the wrong location
rm -f %{buildroot}%{_datadir}/openmcu-ru/{AUTHORS,COPYING,NEWS,README}
# Backward compatibility symlink
mkdir -p %{buildroot}%{_sbindir}
ln -s %{_bindir}/openmcu-ru %{buildroot}%{_sbindir}/openmcu

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/openmcu-ru
%{_sbindir}/openmcu
%{_datadir}/openmcu-ru/

%files codecs
%defattr(-,root,root)
%{_libexecdir}/ptlib/

%changelog
* Sat Jul 23 2016 davejplater@gmail.com
- Fix build with ffmpeg3 libraries with openmcu-ffmpeg3.patch.
* Mon Jul  4 2016 i@marguerite.su
- add patch openmcu-3.48.0-gcc6.patch, fixed boo#985367
  * if/ofstream takes 'const char*' as the first argument, can't
    pass PString to it.
  * PString has its own constructors defined that conflicts w/
    std::string (same methods like ++), so use 'PString.operator
    std::string()' to convert PString to std::string, then use
    string method c_str() to convert to const char*
* Thu Mar 10 2016 dvaleev@suse.com
- ppc64le-support.patch: Add support for ppc64le
* Thu Oct 15 2015 schwab@suse.de
- aarch64-support.patch: Add support for aarch64
- undefined-operation.patch: Remove undefined operation
* Thu Sep 17 2015 jengelh@inai.de
- Trim filelist, use ffmpeg instead of libav
* Thu Sep 17 2015 p.drouand@gmail.com
- Update to version 3.48.0
  * No changelog available
- Remove openmcu_missing_includes.patch
- Split out codecs into there own subpackage
- Update homepage Url
- Use download Url as source
- Move from pwlib-devel and openh323-devel to libpt-devel and
  h323plus-devel
- Add additional dependencies
  * libav-tools
  * libavcodec-devel
  * libswresample-devel
  * pkgconfig(alsa)
  * pkgconfig(expat)
  * pkgconfig(freetype2)
  * pkgconfig(sofia-sip-ua)
  * pkgconfig(libsasl2)
  * pkgconfig(libv4l2)
  * pkgconfig(opal)
  * pkgconfig(openssl)
  * pkgconfig(vpx)
  * libjpeg-devel
  * bison
  * flex
  * autoconf
  * automake
* Wed Jul 11 2012 adrian@suse.de
- fix builds when using a target arch (eg. armv7hl)
- drop unsafe build root removal
* Tue Feb 21 2012 kkeil@linux-pingi.de
- update to v2_2_1
  * No changes documented upstream
* Sat May 12 2007 olh@suse.de
- remove unused libavc1394-devel libdc1394-devel from Buildrequires
* Tue Nov  7 2006 ro@suse.de
- fix manpage permissions
* Thu Aug 10 2006 kkeil@suse.de
- update to 2.2.0
- fixes for pwlib 1.11.1
* Thu Mar  9 2006 bk@suse.de
- Use explicit gcc-c++ in BuildRequires (was implicit by SDL-devel)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr  8 2005 kkaempf@suse.de
- update to 2.1.0
- fixes for 64bit systems
* Wed Aug 18 2004 kkaempf@suse.de
- update to 2.0.5, versioning decoupled from openh323 now.
* Mon Mar 22 2004 kkaempf@suse.de
- update to 1.13.4
* Mon Mar  8 2004 ro@suse.de
- added libdc1394-devel to neededforbuild
* Sun Feb 22 2004 kkaempf@suse.de
- update to 1_13_1
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Fri Jul 18 2003 kkaempf@suse.de
- update to 1.1.9
* Wed Jan 29 2003 meissner@suse.de
- Tried fixing it again.
* Sun Jan 26 2003 meissner@suse.de
- ppc64 support, cleaned up arch handling.
* Wed Jan 15 2003 kkaempf@suse.de
- update to 1.1.5
* Mon Nov 18 2002 kkaempf@suse.de
- add expat for VoiceXML support.
* Thu Nov 14 2002 kkaempf@suse.de
- update to 1.1.3
* Thu Nov  7 2002 ro@suse.de
- update to 1.1.1
* Sun Aug 18 2002 kkaempf@suse.de
- Update to 1.0.19
* Tue Jul  9 2002 kkaempf@suse.de
- Update to 1.0.18
* Fri Feb  1 2002 kkaempf@suse.de
- Update to 1.0.12
* Tue Dec 18 2001 kkaempf@suse.de
- Update to 1.0.11
- Use %%{_libdir} in .spec file.
- replace README with man page.
* Fri Aug 17 2001 kkaempf@suse.de
- update to 1.0.9
  install README.txt to /usr/share/doc/packages
* Thu Aug 16 2001 kkaempf@suse.de
- implement RPM_BUILD_ROOT in spec file.
* Tue Aug  7 2001 kkaempf@suse.de
- update to 1.0.8
- add openssl, openssl-devel to neededforbuild
* Wed Jan  3 2001 kkaempf@suse.de
- install directly to /usr/sbin
* Tue Jan  2 2001 kkaempf@suse.de
- update to maintenance release 0.1alpha2
* Wed Jul 12 2000 kkaempf@suse.de
- fix sparc machtype
* Mon Jul 10 2000 kkaempf@suse.de
- fix alpha and ia64
* Mon Jul  3 2000 kkaempf@suse.de
- fix neededforbuild
* Mon Jul  3 2000 kkaempf@suse.de
- created package
